Register browser origin
curl --request POST \
--url https://api.interchange.io/api/v2/browser-origins \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"origin": "https://mcp.example.com"
}
'import requests
url = "https://api.interchange.io/api/v2/browser-origins"
payload = { "origin": "https://mcp.example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({origin: 'https://mcp.example.com'})
};
fetch('https://api.interchange.io/api/v2/browser-origins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"customerId": 4503599627370495,
"origin": "<string>",
"label": "<string>",
"createdByUserId": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
Register browser origin
Register an exact HTTPS browser origin for browser-based MCP and OAuth calls. Provide only the origin, such as https://mcp.example.com; do not include paths, redirects, wildcards, query strings, fragments, or non-HTTPS schemes. Admin-only.
POST
/
browser-origins
Register browser origin
curl --request POST \
--url https://api.interchange.io/api/v2/browser-origins \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"origin": "https://mcp.example.com"
}
'import requests
url = "https://api.interchange.io/api/v2/browser-origins"
payload = { "origin": "https://mcp.example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({origin: 'https://mcp.example.com'})
};
fetch('https://api.interchange.io/api/v2/browser-origins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"customerId": 4503599627370495,
"origin": "<string>",
"label": "<string>",
"createdByUserId": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Exact HTTPS browser origin to allow for browser MCP/OAuth calls. Do not include a path, query, fragment, wildcard, or userinfo.
Required string length:
1 - 255Pattern:
^https:\/\/[^/?#@]+$Example:
"https://mcp.example.com"
Optional human-readable label
Required string length:
1 - 120Response
Register browser origin
Browser origin registration ID
Customer account that owns this origin
Required range:
0 < x <= 9007199254740991Exact browser origin, e.g. https://mcp.example.com
Optional human-readable label for this origin
User who registered the origin, when known
Required range:
0 < x <= 9007199254740991When this origin was registered
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$When this origin was last updated
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$